'use strict';

var _ = require('lodash');
var TypeValidator = require('./TypeValidator');

var PresenceValidator = {
  call: function call(value, nullable) {
    if (nullable === undefined || nullable) return true;
    if (!TypeValidator.isBoolean(nullable)) throw new Error('presence validator must be boolean');
    return PresenceValidator._isPresent(value);
  },
  _isPresent: function _isPresent(value) {
    return PresenceValidator._isNotNull(value) && PresenceValidator._isNotUndefined(value);
  },
  _isNotNull: function _isNotNull(value) {
    return !_.isNull(value);
  },
  _isNotUndefined: function _isNotUndefined(value) {
    return !_.isUndefined(value);
  }
};

module.exports = PresenceValidator;